MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028693Community[OCCT] OCCT:Codingpublic2017-04-26 15:182017-09-29 16:25
ReporterVico Liang 
Assigned Tobugmaster 
PrioritylowSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028693: Coding Rules - TDataStd_ExtStringArray and TDataStd_IntegerArray should return Array() with const reference
DescriptionArray() method of below two classes should return handle with const reference rather than const object to avoid a temporary object.

class TDataStd_ExtStringArray
     Old: const Handle(TColStd_HArray1OfExtendedString) Array() const;
     Fix: const Handle(TColStd_HArray1OfExtendedString)& Array() const;


class TDataStd_IntegerArray
    old: const Handle(TColStd_HArray1OfInteger) Array() const;
    Fix: const Handle(TColStd_HArray1OfInteger)& Array() const;
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0065565)
git (administrator)
2017-04-26 17:51

Branch CR28693 has been created by kgv.

SHA-1: a3108a6786c7c5b6966e56935daec89e61848eb4


Detailed log of new commits:

Author: kgv
Date: Wed Apr 26 17:51:30 2017 +0300

    0028693: Coding Rules - TDataStd_ExtStringArray and TDataStd_IntegerArray should return Array() with const reference
(0065566)
kgv (developer)
2017-04-26 17:52

Please test the patch.
(0065591)
mkv (tester)
2017-04-27 11:43

Dear BugMaster,
Branch CR28693 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: a3108a6786c7c5b6966e56935daec89e61848eb4

There are compilation errors platform:

Linux:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR28693-master/job/CR28693-master-OCCT-Debian70-64-opt-compile/1/parsed_console/ [^]
/dn54/builds/CR28693-master/Debian70-64-opt/OCCT/src/TDataStd/TDataStd_IntPackedMap.hxx:63:67: error: invalid use of incomplete type 'class TColStd_HPackedMapOfInteger'

Windows:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR28693-master/job/CR28693-master-OCCT-Windows-64-VC10-opt-compile/1/parsed_console/ [^]
5>D:/builds/CR28693-master/Windows-64-VC10-opt/OCCT/src/TDataStd/TDataStd_IntPackedMap.hxx(63): error C2027: use of undefined type 'TColStd_HPackedMapOfInteger'

MacOS :
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR28693-master/job/CR28693-master-OCCT-MacOS-opt-compile/1/parsed_console/ [^]
/Users/mnt/builds/CR28693-master/MacOS-opt/OCCT/src/TDataStd/TDataStd_IntPackedMap.hxx:63:67: error: member access into incomplete type 'TColStd_HPackedMapOfInteger'
(0065592)
git (administrator)
2017-04-27 12:06

Branch CR28693 has been updated forcibly by kgv.

SHA-1: eac2d322fc6a3fe5f0c7b45165d5d0a13f3bdf0e
(0065593)
kgv (developer)
2017-04-27 12:07

Please check corrected patch.
(0065611)
git (administrator)
2017-04-27 15:24

Branch CR28693 has been updated forcibly by mkv.

SHA-1: b9864419677dc88234b66620d1c45d69e1e315cf
(0065651)
mkv (tester)
2017-04-28 19:16

Dear BugMaster,
Branch CR28693 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: b9864419677dc88234b66620d1c45d69e1e315cf

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1213

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91935934 / 92191507 [-0.28%]
Total CPU difference: 18935.980000000185 / 18728.28000000039 [+1.11%]
products component :
Total MEMORY difference: 31325215 / 31297132 [+0.09%]
Total CPU difference: 5422.419999999987 / 5491.119999999989 [-1.25%]
Testing on Windows:
occt component :
Total MEMORY difference: 58217960 / 58212722 [+0.01%]
Total CPU difference: 17517.86709329886 / 17248.7497681988 [+1.56%]
products component :
Total MEMORY difference: 22678416 / 22640194 [+0.17%]
Total CPU difference: 5307.902824799975 / 5324.158128999971 [-0.31%]

There are no differences in images found by testdiff.
(0065652)
mkv (tester)
2017-04-28 19:16

Dear BugMaster,
Branch CR28693 is TESTED.
(0065976)
git (administrator)
2017-05-12 11:36

Branch CR28693 has been deleted by kgv.

SHA-1: b9864419677dc88234b66620d1c45d69e1e315cf

- Related Changesets
occt: master 7c1a9a46
Timestamp: 2017-04-26 14:51:30
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028693: Coding Rules - TDataStd_ExtStringArray and TDataStd_IntegerArray should return Array() with const reference
mod - src/TDataStd/FILES Diff ] File ]
mod - src/TDataStd/TDataStd_ByteArray.hxx Diff ] File ]
rm - src/TDataStd/TDataStd_ByteArray.lxx Diff ] File ]
mod - src/TDataStd/TDataStd_ChildNodeIterator.hxx Diff ] File ]
rm - src/TDataStd/TDataStd_ChildNodeIterator.lxx Diff ] File ]
mod - src/TDataStd/TDataStd_ExtStringArray.hxx Diff ] File ]
rm - src/TDataStd/TDataStd_ExtStringArray.lxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringByte.hxx Diff ] File ]
rm - src/TDataStd/TDataStd_HDataMapOfStringByte.lxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringHArray1OfInteger.hxx Diff ] File ]
rm - src/TDataStd/TDataStd_HDataMapOfStringHArray1OfInteger.lxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringHArray1OfReal.hxx Diff ] File ]
rm - src/TDataStd/TDataStd_HDataMapOfStringHArray1OfReal.lxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringInteger.hxx Diff ] File ]
rm - src/TDataStd/TDataStd_HDataMapOfStringInteger.lxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringReal.hxx Diff ] File ]
rm - src/TDataStd/TDataStd_HDataMapOfStringReal.lxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringString.hxx Diff ] File ]
rm - src/TDataStd/TDataStd_HDataMapOfStringString.lxx Diff ] File ]
mod - src/TDataStd/TDataStd_IntegerArray.hxx Diff ] File ]
rm - src/TDataStd/TDataStd_IntegerArray.lxx Diff ] File ]
mod - src/TDataStd/TDataStd_IntPackedMap.hxx Diff ] File ]
rm - src/TDataStd/TDataStd_IntPackedMap.lxx Diff ] File ]
mod - src/TDataStd/TDataStd_RealArray.hxx Diff ] File ]
rm - src/TDataStd/TDataStd_RealArray.lxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-04-26 15:18 Vico Liang New Issue
2017-04-26 15:18 Vico Liang Assigned To => kgv
2017-04-26 17:05 kgv Summary TDataStd_ExtStringArray and TDataStd_IntegerArray should return Array() with const reference => Coding Rules - TDataStd_ExtStringArray and TDataStd_IntegerArray should return Array() with const reference
2017-04-26 17:51 git Note Added: 0065565
2017-04-26 17:52 kgv Note Added: 0065566
2017-04-26 17:52 kgv Assigned To kgv => bugmaster
2017-04-26 17:52 kgv Priority normal => low
2017-04-26 17:52 kgv Severity minor => trivial
2017-04-26 17:52 kgv Status new => resolved
2017-04-26 17:52 kgv Status resolved => reviewed
2017-04-26 18:09 mkv Assigned To bugmaster => mkv
2017-04-27 11:43 mkv Note Added: 0065591
2017-04-27 11:43 mkv Assigned To mkv => kgv
2017-04-27 11:43 mkv Status reviewed => assigned
2017-04-27 11:43 mkv Test case number => Not needed
2017-04-27 12:06 git Note Added: 0065592
2017-04-27 12:07 kgv Note Added: 0065593
2017-04-27 12:07 kgv Assigned To kgv => bugmaster
2017-04-27 12:07 kgv Status assigned => resolved
2017-04-27 12:07 kgv Status resolved => reviewed
2017-04-27 12:30 mkv Assigned To bugmaster => mkv
2017-04-27 15:24 git Note Added: 0065611
2017-04-28 19:16 mkv Note Added: 0065651
2017-04-28 19:16 mkv Note Added: 0065652
2017-04-28 19:16 mkv Assigned To mkv => bugmaster
2017-04-28 19:16 mkv Status reviewed => tested
2017-05-05 13:34 bugmaster Changeset attached => occt master 7c1a9a46
2017-05-05 13:34 bugmaster Status tested => verified
2017-05-05 13:34 bugmaster Resolution open => fixed
2017-05-12 11:36 git Note Added: 0065976
2017-09-29 16:19 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker